Subject: Re: [PATCH v2 0/3] Accommodate for pu having been renamed to seen

From: Denton Liu <[email-masked]>
Date: Wed, 24 Jun 2020 13:24:25 -0400

On Wed, Jun 24, 2020 at 10:05:43AM -0700, Junio C Hamano wrote:
> I do not know how many of you regularly have interacted with 'pu'
> and now need to go through the same adjustment as I do.  Sorry for
> using you as a guinea pig for an experiment for you know what to
> gauge the cost.

Heh, I was wondering if you had any ulterior motives ;)

Since we're on the topic of the cost of renaming branches, I was reading
a reply from you back in 2011 about how HEAD symrefs are the only valid
ones[0]. I'm not sure if the situation has changed since then but
perhaps we could officially expand the scope of symrefs to allow users
to essentially alias branches? It might reduce the cost of performing
branch renames by having a backwards compatible option.

[0]: https://lore.kernel.org/git/[email-masked]/